Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class WrongTransactionHolder

    java.lang.Object
      |
      +--org.omg.CORBA.WrongTransactionHolder

All Implemented Interfaces:
  Streamable

Deprecated. Use the WRONG_TRANSACTION system exception

public final class WrongTransactionHolder
extends java.lang.Object
implements Streamable

Holder class for deprecated WrongTransaction exception

Field Summary
`WrongTransaction` | `value` Deprecated. Internal holder variable for the WrongTransaction exception

Constructor Summary
`WrongTransactionHolder()` Deprecated. Default Constructor
`WrongTransactionHolder(WrongTransaction initial)` Deprecated. Constructor

Method Summary
`void` | `_read(InputStream in)` Deprecated. Read a WrongTransaction exception from an InputStream
`TypeCode` | `_type()` Deprecated. Return the type code of the WrongTransaction exception
`void` | `_write(OutputStream out)` Deprecated. Write a WrongTransaction exception into an OutputStream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public WrongTransaction value

  Deprecated.
  Internal holder variable for the WrongTransaction exception

Constructor Detail

### WrongTransactionHolder

    public WrongTransactionHolder()

  Deprecated.
  Default Constructor

### WrongTransactionHolder

    public WrongTransactionHolder(WrongTransaction initial)

  Deprecated.
  Constructor
  Parameters:
    `WrongTransaction` - exception for initializing this class

Method Detail

### _read

    public void _read(InputStream in)

  Deprecated.
  Read a WrongTransaction exception from an InputStream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `InputStream` - to read the exception from.

### _write

    public void _write(OutputStream out)

  Deprecated.
  Write a WrongTransaction exception into an OutputStream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `OutputStream` - to write the exception into

### _type

    public TypeCode _type()

  Deprecated.
  Return the type code of the WrongTransaction exception
  Specified by:
    `_type` in interface `Streamable`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD